{% extends "base.html" %}
{% load static %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block main %}

    <div class="home container vstack gap-5" aria-labelledby="content_heading">
        
        {# Event logo #}
        <div class="event_logo mx-auto" aria-label="Logo de l'événement">
            {% image page.event_logo original alt=page.event_logo_description class="w-100 h-100" %}
        </div>

        <div class="vstack gap-3">

            {# Event name #}
            <h1 id="content_heading" class="text-center">
                {{ page.event_name }}
            </h1>

            <div class="event_details vstack gap-3"
                 aria-labelledby="edition_heading">

                {# Event details #}
                <h2 id="edition_heading" class="text-center">
                    Édition {{ page.event_edition }}
                </h2>
                
                <p class="text-center" aria-label="Dates de l'événement">
                    {% if page.event_begin.year != page.event_end.year %}
                        Du {{ page.event_begin|date:"l d F Y" }} au {{ page.event_end|date:"l d F Y" }}
                    {% else %}
                        {% if page.event_begin.month != page.event_end.month %}
                            Du {{ page.event_begin|date:"l d F" }} au {{ page.event_end|date:"l d F Y" }}
                        {% else %}
                            Du {{ page.event_begin|date:"l d" }} au {{ page.event_end|date:"l d F Y" }}
                        {% endif %}
                    {% endif %}
                </p>

                {# Event main links #}
                <div class="row gap-5 d-inline-flex mx-auto" aria-label="Liens importants décrivant l'événement" role="navigation">
                    {% for event_description_page in page.event_description_pages.all %}
                        <div class="col-auto">
                            <a class="btn btn-outline-primary"
                               href="{% pageurl event_description_page.page %}"
                               aria-label="Aller à la page: {{ event_description_page.page.title }}">
                                {{ event_description_page.page.title }}
                            </a>
                        </div>
                    {% endfor %}
                </div>

            </div>

        </div>

    </div>
    
{% endblock %}
